# Uses of Class
org.apache.sysds.runtime.instructions.spark.CastSPInstruction

Packages that use CastSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of CastSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type CastSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getCastInstTime(CastSPInstruction inst, VarStats input, VarStats output, IOCostUtils.IOMetrics executorMetrics)`

## Uses of CastSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type CastSPInstruction
Modifier and Type
Method
Description
`static CastFEDInstruction`
CastFEDInstruction.`parseInstruction(CastSPInstruction inst, ExecutionContext ec)`

## Uses of CastSPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return CastSPInstruction
Modifier and Type
Method
Description
`static CastSPInstruction`
CastSPInstruction.`parseInstruction(String str)`